Introduction

The RCP Programmer was designed to allow you to easily and quickly program all the operating parameters of the Arcom Communications RC210 Deluxe Repeater Controller without having to enter each command "by hand". Your settings are saved to disk for future recall and you may save multiple configuration files, such as would be needed for programming multiple controllers. These configuration files (called "databases") are standard text files and may be edited by using any text editor. However, we think you'll find that RCP is so easy and intuitive to use that this won't be necessary.

The RCP Programmer allows for two methods of programming the RC210:

  1. DTMF which is generated by your sound card and may be connected directly to the RC210. Alternately, you can connect a radio to your computer (via an interface such as Mountain Radio's RigBlaster) and the RCP will automatically key your radio, send the appropriate DTMF and then unkey your radio. Or you can use a simple circuit to handle PTT duties. Using this method of programming allows you to easily remote program your RC210 without the need for modems and/or phone lines.

  2. Direct serial connection between your computer and the RC210. This method is much faster than the DTMF method, however it requires either a direct connection or one established by a phone or packet modem.

IMPORTANT: The RCP Software only programs the parameters of the various features of the RC210 and does not actually select which ones are used. For example, you can program the contents of each of the Courtesy Tones but RCP doesn't select which Courtesy Tone is actually used (by default, Courtesy Tone #1 is selected at start up of the RC210. You can change this via Macro programming - see the RC210 Operations & Programming Manual for details.)

Copyright © 2017 by Arcom. All Rights Reserved.


Installation

By default, RCP will be installed into C:\Arcom\RCP Programmer and will run under Windows XP/2000/Vista/Win7/Win8/Win8.1/Win10

After opening the downloaded zip file, simply click on the included rcpinstallerxxxx.exe file (xxxx is the current version number) and follow the prompts. After RCP is successfully installed, you will be prompted if you want to launch RCP or not. That is up to you.


Running RCP for the first time

Copyright © 2017 by Arcom. All Rights Reserved.


Registration

Running RCP for the first time ››

If you purchased RCP through our online store, you can obtain this information by following the link below:

http://www.arcomcontrollers.com/index.php/register-rcp

Note: You must be registered at the website in order to access the above link

After completing the form at the website, you will receive an email with your information.

If you purchased RCP by ordering over the phone, you will likewise receive an email with your registration information.

When you run RCP for the first time, you will be prompted for your Registration information. When you're presented with the Registration window, enter your information exactly as you specified when you received the email with your license information. Note that all information is case sensitive. That is to say that "User" is different than "uSeR". It is suggested that you copy and paste your registration information, including registration code, from the email you received when you registered. Click the Register button and you should now be ready to use RCP!

Note: you should print out a copy of the registration email for future use should you ever need it

Until you create your own database file, you should use the one that came with RCP. This database contains the factory default values that are programmed into your RC210 when you first received it. Don't worry, you'll be able to configure your own settings and save them to your own custom database later. For now, click Open double click on "rc210.dat".

You should now create your own database with which to work. Click File, then Save As. Type the filename you'd like to save your database as, then click OK. You will now be working with your new database, leaving the default one intact.


Selecting DTMF or Serial Communications

Running RCP for the first time ››

Selection between the two methods of communication with the RC210 is automatic when you set the parameters for the respective methods. This is to say that if you select DTMF parameters in the Configuration menu, the DTMF method will be selected. If you select a Serial parameter, the Serial method will be selected and you must select a valid comport in your computer. When your selection is made, the change is immediate and that method will be remembered by RCP.

Note: If your computer doesn’t have an actual comport but rather only USB ports, you will need to use a USB to serial converter. These are readily available from numerous sources but we recommend using one with the FTDI chipset.


Setting DTMF Parameters

Running RCP for the first time ››

There are 3 parameters you can use to adjust how RCP sends DTMF. This information is stored separately from your database file, so once you've determined the proper settings for your particular setup, you should not have to change them, even if you load a different database file. Note that if you select any of DTMF parameters below, RCP automatically disables serial port operation of RCP. The DTMF parameters are accessed under the Configure menu, below the Use DTMF menu item.

Note: These parameters are not the same as those stored in your database files – those are used to configure the RC210 itself and should be confused with this section.

Set Interdigit Delay - set the amount of time, in milliseconds, between DTMF digits as they are sent out the soundcard. By default, this delay is set to 60 milliseconds, which should be adequate for most purposes. Depending on the quality of your radio path however, you may need to adjust the amount of delay to insure reliable DTMF operation. Use the smallest amount possible for reliable operation, as this will speed up the process.

Set TxDelay - set the amount of time, in milliseconds, between keying the transmitter and starting to send DTMF. This allows your transmitter to come up to power before RCP actually starts sending any DTMF.

RTS/ CTS for PTT - this selects which serial port pin is used to control PTT. Usually this is determined by the hardware interface you're using between your computer and your radio. If you're making a direct connection from your sound card to a port audio input on your RC210, you may ignore this setting.


Only If You're Using The DTMF Method Of Communications

Running RCP for the first time ››

It is very important that the unlock codes you have programmed into your RC210 match the ones in RCP's database. If you have reprogrammed them in the RC210 using DTMF, you must change them in RCP database file the before you use it with your controller. Simply open RCP, select the Special Codes tab, enter the lock codes to match the ones programmed in your RC210, click apply and save your database. You must then either close and start RCP again or simply chose Open from the menu (or the toolbar button) and reload your database. You should now be ready.

Note: This does not apply if you're using the direct serial connection method of communication, in which case you may disregard this section.


Setting Serial Port Parameters

Running RCP for the first time ››

RCP allows the use of your computer's Com1 – Com8 serial port to communicate with the RC210. Note that if you select a Comport, RPC automatically disables DTMF. Which com port to use is selected by the Configure menu, below the Use Serial Port menu item.

Note: If your computer doesn’t have an actual comport but rather only USB ports, you will need to use a USB to serial converter. These are readily available from numerous sources but we recommend using one with the FTDI chipset. And you should install the adapter (and any drivers needed) prior to setting up RCP as your computer will assign the adapter its own com port number.

In addition to selecting which com port on your computer RCP uses, there is also a menu item to set Delay Time. This is the amount of time RCP delays sending a new serial command to the RC210, in response to an "OK" acknowledgment from the controller. While this value is best determined by experimentation, a value of 0 should work just fine. However, if you're receiving repeated communications errors, you may want to change the delay to a 1. Note that you may only enter a 0 or 1 as the value.

Should RCP have a problem properly communicating with the RC210, a pop-up window will inform you of the problem. You may need to lengthen the Delay Time to correct it or your connection may not be good. Should too many serial errors occur, another pop-up will let you know and RCP will exit the current operation. Check your connections and/or radio path (if using a packet modem) and start the operation again.


Hardware Connections

A Simple PTT Interface For DTMF PTT

If you don't have a commercially manufactured sound card interface for your radio, you can easily fabricate a PTT interface for your radio. This interface relies on the differential voltage produced between the DTR and RTS signals on your computer's serial port and prevents unwanted PTT action, which may occur when RCP isn't running under Windows ME or XP.

If you're using the circuit above, use the Configuration menu to select "RTS for PTT". If you're using a commercially manufactured interface, consult their manual as to which signal (RTS or DTR) to use for the PTT signal.


Making A Direct Audio Connection To The RC210

Hardware Connections ››

It is possible to make a direct audio connection between the computer running RCP and the RC210 (this is used for recording DVR tracks using wav files on your computer. See the section on this in this manual). Simply fabricate a cable to connect between your computer's sound card SPEAKER output and the RC210's Radio Port #3.

Note: If you have the de-emphasis jumper in place on Port 3, you should temporarily remove it when using this feature. Refer to the pc board layout in the RC210 Hardware Manual for the location of this. Likewise if you have our RAD Audio Delay Board connected for Port 3, you should temporarily remove the cable from the board header (JP12) and use the jumper you removed from Port 3’s de-emphasis jumper and place it across pins 2 & 3 of JP12 to use this feature. Of course, you should replace the RAD cable and jumper when you are finished


Serial Port Connections

Hardware Connections ››

If you choose to use the direct serial connection method of programming, simply connect a standard serial cable to your computer's com port and the other end to the DB9 serial adapter, shown below. This adapter plugs into the RC210's serial port header (J6).

NOTE: You do not need this if you purchased the RC210R Rack Mount Enclosure. Simply use a standard serial cable connected to the DB25 marked “Programming” on the back of the Enclosure.


RCP Graphical Interface

The RCP graphical interface is very straightforward and intuitive. All programming parameters are selected by clicking on the appropriate tab for the group of parameters you wish to work with. Once a particular tab is selected, you are presented with a screen that allows you to edit as you please. In the case of Port Specific Commands (those that only affect a particular port's programming in the RC210), you select the port by clicking on its sub-tab.

There are some basic things to remember when editing:

  • When you load in an existing database, the values contained in that database are automatically displayed in their appropriate fields.
  • Whenever you change a value from that which is stored in the database, the color of the text in that field changes to red. This allows you to quickly and easily identify which parameters you've changed since the database was loaded.
  • If you enter a value that is out of range for that particular parameter, you'll receive an error message. You will need to correct the error before continuing.
  • When you click the APPLY button, you tell RCP that you've made changes that you want to send as an update to the controller AND LATER want to save to your database file. In other words, those changes you've made up to that point will be saved to disk only when you explicitly do so (don't worry, you'll be prompted when you exit the program). These changes only apply to the current session of RCP.

Note: Failure to save to your database will result in your changes being lost.


Basic RCP Controls

RCP Graphical Interface ››

There are several Menu items available:

File Used to create a new database, save or open an existing one. You can also exit the program from here

Configure RCP Used to set up DTMF parameters, such as timing, transmitter key delay and which pin to use for PTT as well as serial communications parameters

DTMF Test Pad Generates DTMF digits using your computer's sound system

Manual Data Send Allows you to send a manually formatted serial message to the RC210 . Refer to the RCP Protocol and Serial Port Operations section of this Help

RC210 Used to upload and download to and from the RC210

RTC Selects whether RCP should use the additional memories available in the RTC

DVR Selects whether RCP should write DVR track memory information when Uploading to RC210

Help Used for obtaining Help on using RCP, Company information and other items

There are also shortcut buttons you can use

Opens existing database

Immediately saves all changed parameters (after the APPLY button is clicked) to the currently loaded database file

Download from the RC210 if serial communications is selected

Upload to the RC210 (works for both serial and DTMF communications)

Forces the controller to restart (reboot)

Sets the RC210 Clock & Calendar, based on your computer's time

Gets the version firmware currently installed in the RC210 (if serially connected)


Editing Parameters

RCP Graphical Interface ››

There are three types of parameters you edit

Numeric Timers, Command Macros

Text Voice and CW messages

Alphanumeric DTMF codes which may contain a mixture of numbers and letters

While editing, numeric values are checked that they fall within acceptable range limits. For example, if you're programming a Hang Timer and you enter a value outside of the acceptable range of 1 to 255 seconds, you'll receive an error message. To correct this, you simply edit your entered value to fall within this range.

The same holds true for voice and CW messages, except the total number of words (or in the case of CW - characters) is checked. For example, you are allowed a maximum of 22 words per voice ID. If you enter more than this, you'll receive an error message and the last entered word will be deleted.

Alphanumeric values are only checked for the total number, not their content with one exception. For example, any Macro Command code may be up to 8 digits in length. If you exceed this, RCP will give you an error. To correct it, simply shorten the code to be less 8 digits or less.

IMPORTANT: Please note that RCP only programs the various parameters of the RC210 but does not actually “function” those parameters. For example, you can program the contents of a Courtesy Tone but RCP doesn't tell RC210 which Courtesy Tone to actually use (this is done by programming Command Macros but more on this later)


Apply Button & Saving To Disk

RCP Graphical Interface ››

When you edit a parameter and click the Apply button, you should remember two things:

Clicking the Apply button tells RCP that you want this parameter to be uploaded to the controller when you do an Update

Your change is temporarily stored and is not saved to your database. If you want to save it, you must explicitly do so by File > Save or click on the SAVE button

The Cancel button will revert to the previous value of any field you've edited during this session.


Update Window

RCP Graphical Interface ››

When you click on the RC210 Menu or the UPLOAD button on the Toolbar, the Update Window pops up.

Update Changes Only - Programs those parameters that have been changed during the current session, only if you clicked APPLY after you've edited something in that group. The data that is temporarily (it is not written to the database file unless you specifically do so) stored in RCP's memory is used for this.

Send Complete Config - Sends complete programming information to the RC-210, based on the information stored in the currently loaded database. Therefore, if you want to include changes you've made during the current session before doing a complete upload, you should first save those changes to the database.

Interrupt Upload - At any time during an upload, you can click the Interrupt Upload button to stop the current operation. RCP will notify you if it needs to complete its current operation first. It will then gracefully exit the operation.

Note: There is no way to know where in the process the upload actually ended so it is recommended you perform a Complete Upload before exiting this session of RCP

Close – Manually closes the Window (the window will automatically be closed after completing any of the above operations however)

During a Complete Upload, an indicator bar will appear at the bottom of the Update Window to let you know the progress of the upload. As Updates are generally quite fast, no Progress Indicator is presented except when doing a Complete Upload. In either case, when the upload is complete, RCP will notify you.

Note that when the Upload Window is shown, you must close it before you will be allowed to perform any operation other than those available from the Upload pop up


Analog Tab

RCP Graphical Interface ››

Ch1 – Ch8

Meter Type – selects the type of Meter face to be spoken

Actual Low Value – The measured voltage value at the low calibration point of your sensor. Enter that number x 100

Meter Low Value - The Meter value to speak at the low calibration point of your sensor. Enter that number x 100

Actual High Value - The measured voltage value at the high calibration point of your sensor. Enter that number x 100

Meter High Value - The Meter value to speak at the High calibration point of your sensor. Enter that number x 100

Reference/Meter Alarms Tab

Reference Voltage – this is the measured voltage of the 5 volt buss on the controller. Setting this accurately insures the greatest accuracy. Enter the value directly without multiplying by 100 as the other parameters require.

Meter Alarms

Alarm Number – Selects which Alarm Number is being displayed/edited

Alarm Type – Selects High or Low Alarm Setpoint or disables the currently displayed/edited Alarm

Meter Number – Select which Meter the currently displayed Alarm is connected to

Trip Value – enter a value (x 100) for the displayed Alarm for the selected Alarm Type above

Macro To Call – Selects which Macro to run when the displayed Alarm trips


Courtesy Tone Tab

RCP Graphical Interface ››

Each Courtesy Tone consists of 4 Segments, each of which may be edited as desired

Courtesy Tone Select – selects which Courtesy Tone is currently being displayed/edited

Delay To This Segment – the number of milliseconds to delay before sending this Segment

Duration – how many milliseconds this Segment should last

Tone 1/Tone 2 – the frequency in Hertz of each Tone for this Segment. Each Segment may consist of 2 different tone frequencies or you can program one to 0 for a single tone

Preview – plays the currently displayed Courtesy Tone through your computer speakers


DTMF Tab

RCP Graphical Interface ››

Clicking in any field will erase NONE STORED and allow you to enter DTMF Digits as needed. You can either manually type in digits or select them from the List on the right by double clicking on the entry you want. RCP will automatically fill the digit in and insert a space between them

By default, only DTMF Memories 1 – 20 are able to be selected/edited. If the optional RTC is installed and selected within RCP, then DTMF Memories 21 – 50 will also be available for display/editing and programming

Digit Counter – displays the number of digits in the currently selected Message.

DTMF Parameters Duration and Delay – Enter the values in milliseconds as needed.

Note: These parameters are not the same as those used by RCP itself – these are used to configure the RC210 itself and should not be confused with that section.


IDs Tab

RCP Graphical Interface ››

Voice ID1, ID3, ID3 – You can either manually type in the Vocabulary Words manually or select them from the Vocabulary List on the right by double clicking on the entry you want. RCP will automatically fill the word in and insert a space between them. Each ID may consist of up to 22 words.

CW ID1, ID2 - You can either manually type in the CW characters manually or select them from the CW List on the right by double clicking on the entry you want. RCP will automatically fill the character in and insert a space between them. Each ID may consist of up to 15 characters.

CW Speed – Enter the speed for the CW IDs between 5 and 50 WPM.

CW Tone1, Tone2 – You may enter any tone frequency between 200 and 3500 Hz and should be entered as 4 digits (i.e 0500). If you don't want a dual tone CW note, you can leave either Tone 1 or Tone 2 set to 0000

Speech IDs – If Enabled is checked, the controller will generate Voice IDs. If unchecked then only CW IDs will be used.

Constant ID – If Enabled is checked then the controller will generate IDs regardless of repeater activity, based on the Pending ID Timer setting. If unchecked, then the normal ID algorithm will be used.

ID Extras – These allow the automatic inclusion of Time, Date either before or after the ID is sent or randomly rotated. Or you can turn them off altogether

Character Counter – This will display the number of words in a Voice ID or CW characters in a CW ID, depending on which is currently highlighted by clicking on its field

You may edit any voice ID by either manually typing the word(s) into the appropriate field or by finding the word on the vocabulary list and double clicking your choice (any word you manually type in MUST exist in the Vocabulary List). RCP automatically keeps track of the number of words allowed for the parameter you're currently programming. That count is displayed in the Counter Box. If you exceed the maximum allowable length, RCP will warn you, then erase the last word that caused the error. You may then go back and edit your message as needed.

If you choose to manually type in your messages, the following applies:

There must be one, and only one, space between each entry. There should be no space at the end.

Entries must be spelled correctly and exactly as show in the vocabulary list.

Case doesn't matter. You may enter lower case, upper case or any combination of the above. RCP will automatically convert your entry to upper case when it writes to the database file.

Failure to heed the above warnings may result in unpredictable speech in your message. For this reason, while it is possible to manually type your message in, it is suggested you use the vocabulary list whenever possible.

Editing CW ID Messages

As is the case with voice messages, RCP automatically keeps track of the number of cw characters allowed for the ID you're currently programming (the maximum is 15). If you exceed this number of characters, RCP will warn you, then erase the last character that caused the error. You may then go back and edit your message as needed.

Again, while it is possible to manually type in the message, it is suggested you use the CW Character List to make your entries.


Loading a database file

RCP Graphical Interface ››

When you load a database file into RCP, it checks for several things:

Version differences:

Every RCP database file contains the version number of the last RCP it was used with, as well as the firmware in the controller. If there is a mismatch, RCP will pop up a window. similar to this one:

You can usually click Yes and you will then be presented with the next pop up

Click Yes if you want to update the Version settings in your database file (recommended) or No if you don't

More than likely, if you've received the above error(s), RCP will then warn you:

Don't panic as this just means that there are probably new entries that RCP uses that didn't previously exist. Click Yes if you want to see what errors were found and the default values that will be written to your database file. If you do, Notepad (Windows default text editor) will open and will display that information. If you'd rather, you can simply click No but either way, it is recommended you immediately SAVE your database afterward to make sure the updated data is written. This will prevent problems with future loading of your database file as well as insure the data uploaded to the RC210 contains valid information.


Logic Alarms/R Base Tab

RCP Graphical Interface ››

Logic Alarm Setup

Alarm Number – Selects which Logic Alarm Input is to be displayed/edited

Alarm Enabled – if checked, the displayed Logic Alarm is enabled automatically. If unchecked, then it must be enabled by Macro

Remote Base Setup

Radio Type – Select the make and type of radio to use from the dropdown menu

Yaesu Type – If a Yaesu radio is chosen, this selection allows for selection of the specific radio

Remote Base Prefix – Display/edit the current DTMF Prefix used for Remote Base operations. You may use up to 5 digits

Remote Base Memories

Memory Number – Select which Memory to display/edit. By default, only Memories 1 – 10 are able to be selected/edited. If the RTC is installed and selected within RCP, then Memories 11 - 40 will also be available for display/editing and programming

Frequency - This is the frequency you want - without a decimal point. For example, a frequency of 146.520 would be entered 146520

CTCSS Code – Selects which CTCSS tone code to use if CTCSS is enabled for encode or decode. See the charts in Appendix B of the RC210 Operations & Programming Manual for which code to choose.

Offset – Selects transmitter offset for the currently displayed/selected Memory

Mode - Selects operating mode for the displayed/selected Memory


Macros Tab

RCP Graphical Interface ››

Functions – Clicking on this field will erase NONE STORED (if no functions are stored in this Macro) and allow you to enter Macro Functions as needed. You can either manually type in Function Number(s) or select them from the Function List on the right by double clicking on the entry you want. RCP will automatically fill the Number in and insert a space between them. We recommend the latter.

Code – This is the default DMTF code to be entered over the air in order to run that Macro. The current Code is displayed, which may be edited to consist of any valid DTMF digit, up to a total of 8

Slot Counter – Displays the number of slots in memory used in the currently selected Macro

Macros 1 through 40 may contain Functions that use up to 15 slots.

Macros 41 - 90 may contain Functions that use up to 6 slots

Macro Function Numbers above 255 use 2 slots in a Command Macro. Macro Functions above 510 use 3 slots and Macro Functions above 764 use 4 slots. Plan accordingly!

Port Restrictions/Rcv Macro Tab

Macro Port Assignments – Allows you to define which Port (or Ports) any particular Macro may be run from. Select the Macro Number and chose from the Ports Allowed To Run From drop down menu

Rcv Macros – If Receive Macros are enabled by another Macro, selects which Port’s receiver runs which Macro when that receiver goes Active and InActive

If you move your mouse cursor over a Macro field ("mouseover"), you will be presented with the plain English meanings of the Macro Functions in that field.


Messages Tab

RCP Graphical Interface ››

Clicking in any field will erase NONE STORED and allow you to enter Vocabulary Words as needed. You can either manually type in word(s) or select them from the Vocabulary List on the right by double clicking on the entry you want. RCP will automatically fill the Number in and insert a space between them

By default, only Messages 1 – 40 are able to be selected/edited. If the optional RTC is installed and selected within RCP, then Messages 41 – 70 will also be available for display/editing and programming

You may edit any Message by either manually typing the word(s) into the appropriate field or by finding the word on the vocabulary list and double clicking your choice. RCP automatically keeps track of the number of words allowed for the parameter you're currently programming. That count is displayed in the Counter Box. If you exceed the maximum allowable length, RCP will warn you, then erase the last word that caused the error. You may then go back and edit your message as needed.

If you choose to manually type in your messages, the following applies:

There must be one, and only one, space between each entry. There should be no space at the end.

Entries must be spelled correctly and be exactly as show in the vocabulary list.

Case doesn't matter. You may enter lower case, upper case or any combination of the above. RCP will automatically convert your entry to upper case when it writes to the database file.

Failure to heed the above warnings may result in unpredictable speech in your message. For this reason, while it is possible to manually type your message in, it is suggested you use the vocabulary list whenever possible.

Word Counter – displays the number of words in the currently selected Message.

DVR Wave Record – Allows the recording of DVR tracks using wav files on your computer to be directly recorded into the RC210. You need to have the cable fabricated and connected as explained here

DVR Track – Selects which DVR Track to record

Load Wav – Click to open a file dialog to load the wav file you want to record for the currently displayed Track

Send to 210 – Click to start the recording sequence. RCP will automatically erase the selected DVR Track and record your wav file to it.


Port Switches

RCP Graphical Interface ››

Port 1/Port 2/Port3

Note: Except as noted, most selections on this tab may be overridden by Macro

Transmitter Enable – If checked, the transmitter on this Port is enabled

Receiver Enable - If checked, the receiver on this Port is enabled

Repeater Mode - If checked, then activity (based on Access Mode selected below) on that Port’s receiver will cause that Port’s transmitter to be activated and audio to be routed from receiver to transmitter.

Speech Override – If checked, controller generated Speech (either canned Vocabulary or DVR) – EXCEPT FOR IDs - can be stopped by an active received signal. If unchecked, speech will continue until its conclusion

Speech ID Override - If checked, controller generated Voice IDs (either canned Vocabulary or DVR can be stopped by an active received signal. If stopped the ID will revert to the next rotated CW ID. If unchecked, the Voice ID will continue until its conclusion.

Access Mode – There are 2 Access Modes that can be selected from. Carrier only requires an active COS signal delivered to that Port. Tone & Carrier requires both COS and CTCSS tone decoder inputs to be active and both signals are logically AND’d in the controller firmware.

DTMF Enable – If checked, the DTMF decoder on that Port is enabled.

DTMF Require Tone – If checked, both CTCSS and COS signals must be present WHEN THE DMTF DIGITS ARE ENTERED in order be considered valid. If unchecked, only COS is required.

DTMF Mute – If checked (and this Port is in Repeater Mode) then any entered DTMF on this Port will cause repeated audio to mute for the duration of entered digits (based on the DTMF Mute Timer). If this Port is not in Repeater Mode and is linked to another Port, any entered DTMF on that other Port with cause this Port’s transmitter to drop for the duration of entered digits (based on the DTMF Mute Timer).

DTMF Covertone – If checked, DTMF Muting is enabled and this Port is in Repeater Mode, “dead air” will be replaced with a tone that has a 1 second period.

Monitor Mix – If checked then audio from a linked-to Port will be mixed with the Port being listened to. If unchecked, then the currently listened-to Port will take priority of audio from the linked Port.

Kerchunk Filter – If checked then the Kerchunk Filter is active on this Port and based on the timers under the Timers Tab

Tone Encode Control

This section controls how the Tone Encode Control Output on this Port behaves

ON during ID/Speech – If checked, the Tone Encode Control Output will go active during controller generated speech and IDs. If unchecked, this Output will not go active

Timer Starts After COS – if checked, the Encode Timer (under the Timers Tab) starts when COS closes. If not checked, the Timer starts when the Courtesy Tone completes.

ID Timer Start

This determines if the ID Timers start on any receiver activity or on transmitter activity. On COS for receiver, On PTT for transmitter. This setting cannot be overridden by a Macro

DTMF Evaluate on Closure

When DTMF digits are entered, the RC210 looks for the received signal that entered it to stop. This selection determines if only COS stopping or the Tone decoder input stopping is to be used to evaluate the entered DTMF. This setting cannot be overridden by a Macro

COS – Evaluate on COS closure

Tone - Evaluate on Tone closure

Tone Encode Polarity

Hi – When active, this signal is an open drain (use pullup resistor if voltage is needed)

Low – When active, this signal is pulled to ground

Allow Speech w/Terminator

If checked, the controller will speak a voice response to any DTMF Command that includes the Terminator Digit, however this may cause a problem if stringing DTMF commands together. If unchecked, no voice message will be sent by the controller if the Terminator Digit is received.


Scheduler/Clock Tab

RCP Graphical Interface ››

Scheduler

Setpoint Number – Selects the currently displayed/edited Scheduler Setpoint

Day of the Week – Selects the DOW that the currently displayed Setpoint should run

Month To Run – Selects the Month of the Year (MOY) that the currently displayed Setpoint should run

Monthly – If checked, this setpoint should run on the Nth week as selected below. Otherwise this Setpoint will run every week as otherwise defined

Number of Occurrence This Month – If Monthly above is checked, this is the week of occurrence to run. For example, if DOW is Monday, Monthly is checked and Number of Occurrence This Month is set to 3, this Setpoint will only run on the 3rd Monday of every Month.

Start Hours – The hour this Setpoint should run. Selecting Disabled prevents this Setpoint from ever running

Start Minutes – Minutes past the hour when this Setpoint should run

Macro To Run – Which Macro this Setpoint should run

Real Time Clock

Set Clock – Clicking this button will immediately set the Clock & Calendar, based on the computer’s settings

Say Year – If checked, the year will be spoken as part of the Date Readback. If unchecked, the year will not be spoken.

24 Hour Readback – If checked, the time will be read in 24-hour format. If unchecked, the time will be read in AM/PM format.

Correction Factor – The value (up to 59 seconds) to correct the real time clock by when called from a Macro

Note about the Correction Factor: In addition to the High Accuracy RTC daughter board option, the RC210 has its own on-board real time clock and calendar. Generally if you have the optional RTC installed, you neither want nor need to use the Correction Factor and it should be programmed to 0


Special Codes/Autopatch Tab

RCP Graphical Interface ››

Unlock, Lock, Terminator

Change Unlock, Lock, Terminator Codes – This button creates a pop up window that allows you to display the current values as well as edit them.

Current field – Displays the current values that are contained in the loaded database file or downloaded from the controller.

New field – Use these fields to enter new values for the listed items

Send to the controller NOW – If you have entered new values for any of the listed items, clicking this button will send them immediately to the connected RC210.

Save to send to the controller LATER - If you have entered new values for any of the listed items, clicking this button will save the changes to the currently loaded database file and flag them as temporary. This means they’ll be saved to the loaded database file but that’s it. It is up to you to act on it

Record changes already made - If you have entered new values for any of the listed items, clicking this button will save the changes to the currently loaded database file

Cancel Changes – Ignore any changes and revert to the values stored in the loaded database file.

Close - Closes this window

User DTMF Regenerate

User DTMF Prefix – These are the DTMF digits a user must enter in order to use this feature. You may enter a Prefix of up to 5 DTMF digits.

Send To Port – Selects which Port(s) the regenerated DTMF is sent to

Macro To Use - Optionally select which Macro to run before the regenerated DTMF is sent.

Wx Station Wind Direction Select

If you have a Davis Weather Station connected, this selects the type of wind direction readout that will be spoken

Degrees – The actual direction will be spoken i.e. “Two Hundred Twenty Nine Degrees”

Compass Heading – A more “human readable” direction will be spoken i. e. “South By Southwest”

Autopatch

If you have the optional AP1 Autopatch board installed, you are able to program every parameter of its operation using the window found under the Special Codes/Autopatch tab. Please note that if you don't have the AP1 installed, you may skip this section.

Autopatch Prefix - All Autopatch commands must be proceeded by this code. This prefix may be up to 4 digits but must be at least 1 digit.

Answer Code - This is the code used by someone calling from the phone that allows them access to your system. As such, it may be up to 15 digits long and should obviously only use those DTMF digits available from a standard telephone.

Number Of Rings To Answer - This sets how many times the phone must ring before the AP1 will answer

Timeout - This is the number of seconds that a phone connection will be allowed to remain active.

Autodial Memories - To add Autodial memories, enter the number to be stored in the text field above the ADD and DELETE buttons. Click ADD to add this number and it is added to the list. To remove a number from the list, highlight the number (click on it) then click DELETE to remove it from the list. Click APPLY when finished.

Toll Restrictions - This list works identically to the Autodial memories list.

DTMF Pad Test – Selects the DTMF digits that must be entered first in order to use this feature. Up to 4 digits may be used

Pre Access Code – If set to anything other than NONE, these are the DTMF digits that must be entered before using any Macros, Remote Base, Autopatch or any other command normally accessible without first unlocking a Port. This feature is mostly used a Site Prefix.

Pre Command Code - If set to anything other than NONE, these are the DTMF digits that allow you to access some of the commands that are normally require a Port first be unlocked. For example, if the Pre Command Code is set to “12”, then you could enter “121111” to enable Port 1’s Transmitter. This does not work with programming commands starting with an asterisk ( * )

Macro Subset – Defines the contiguous range of Macros to be used as the Guest Macro range. Use the Start field to enter the low Macro number and the End field to enter the high Macro number of the range. If Enable is checked, Guest Macros are enforced. If unchecked, Guest Macros are not enforced. Note: this setting may be overridden by a Macro

DR1 Mode Select – If checked, the controller will set User Function (Logic Output) 7 ON to allow control of electrical power if using a Yaesu DR1x repeater (and you have a relay or other suitable control of primary power) and delay 5 seconds before the RC210 actually starts after a power up or reset.

DTMF Mute Select – If DTMF Muting is enabled, the global command selects whether to mute on the 1st received DTMF digit or the 2nd. Normally set for 1st.


Timers Tab

RCP Graphical Interface ››

Once your database file has been successfully loaded, you will be presented with focus on the Timers tab and Port 1 selected.

The settings for Ports 1, 2 & 3 are identical and allow you to configure the following parameters on a per Port basis:

Port 1/Port 2/Port 3 Tabs

Hang Timers – the amount of time a Port’s transmitter remains on after the received signal disappears. There are 3 different Hang Timer settings that may be selected via Macro. Programmed in tenths of a second

Timeout Timer – the amount of time a signal must be continuously present before a Port’s transmitter is dropped. Programmed in seconds

TOT Reset Timer – how long to wait after either the signal disappears or Courtesy Tone segment has run (See below “TOT Reset Point”) before re-enabling the repeater transmitter after a Timeout has occurred. Programmed in tenths of a second.

TOT Reset Point – Selects when the Timeout Reset Timer is started. You can choose from when COS closes (After COS) or any Courtesy Tone Segment from the dropdown menu

Initial ID Timer – the amount of time there must be no Port activity before the Initial ID will be sent.

Pending ID Timer – the amount of time that has transpired since the initial ID was sent and there was activity since.

DTMF Mute Timer – If DTMF Muting is enabled, the amount of time to remain muted before re-enabling the audio path if the Port is in Repeater Mode. If not in Repeater Mode, then this timer determines how long that Port’s transmitter will remain OFF (as in the case of a remote base radio)

Encode Timer - If you control an external CTCSS (or other) encoder, this timer determines how long after a received signal disappears, that the encoder will continue to encode.

Kerchunk Timer – If you have Kerchunk Filtering enabled (via the Port Switches Tab), this is the amount of time a signal must remain uninterrupted before it will be recognized as valid

Kerchunk Reset Timer – Once the Kerchunk Timer period has expired, this determines the amount of time to wait after a received signal drops before re-enabling the Kerchunk Timer.

Pending ID Speech Timer –the amount of time before it’s time for a Pending ID to be sent to determine if that Pending ID should be done in Voice or CW. Setting to the same value as the Pending ID Timer will force Pending IDs to always be done in CW. Setting it to 0 will force always Voice.

Tail Message Programming

Tail Msg # - Selects which of the 3 available Tail Messages is being programmed

Tail Counter – the number of times Hang Time must expire before Tail Message is sent

Tail Timer – the number of seconds that must past after that Port’s transmitter drops before Tail Message is sent

Macro To Use Msg1 Msg2 Msg3 – Selects the Macro to use for Tail Message 1, 2 and 3

Inactivity Timer

Timer – If not set to 0, the amount of time to wait after the last receiver activity to run the selected Macro

Macro To Use – which Macro to run when Inactivity Timer times out

Global Tab

Aux Audio Timers 1, 2, 3 – the number of seconds an Auxiliary Audio input remains active after being enabled

Fan – the number of minutes the Fan will run after the transmitter drops for the last time. If All Xmt Activity is also checked, the fan will be powered by any activity that causes any Port to transmit. If unchecked then that Port must also have had receiver activity

Timeout Timer Control – If checked then any Port that is linked to another Port will cause that Port to timeout (based on its Timeout Timer). If unchecked, then only that Port can time itself out


RCP Protocol and Serial Port Operations

RCP communicates with the RC210 much the same way a DTMF equipped radio does with 2 notable exceptions:

  • A handshaking protocol is used to regulate communications between the RC210 and computer running RCP

  • When using serial communications, there is no need for Unlock codes as the RC210 assumes you’re physically connected to it.

The RC210 treats communications via the serial port as a 4th DTMF one with the above exceptions and the serial communications parameters are 9600 baud, 8 bits, no parity and 1 stop bit (9600, 8, N, 1)


Conventions used in this Help

RCP Protocol and Serial Port Operations ››

Digits sent to and from the serial port will be shown it bold italics. For example: 5678

Responses from the RC210 are shown as non-bold italics. For example: +12345

Keys pressed on a computer keyboard are surrounded by brackets. For example: <ENTER>


The Basics

RCP Protocol and Serial Port Operations ››

Whenever data is received on the RC210's serial port, the controller temporarily disables all other functions within the controller, INCLUDING basic repeat functions (COS, PTT, hang time, etc). This is done in order to prevent conflicts that may arise as serial port communications requires accurate and precise timing. Disabling all other functions allows the 210 to "concentrate" on getting the serial data correctly timed. Four seconds after the last bit of data is received by the RC210, a timer restores full functionality.


Protocol

RCP Protocol and Serial Port Operations ››

If the command received is perceived as being valid by the RC210, it sends back a plus sign ( + ), followed by the first 5 digits of the command string it received. If the command is invalid, contains data that is either invalid or out of range, or otherwise not understood by the RC210, it sends back a minus sign ( - ), followed by the first 5 digits received.

When sending commands to the RC210 via the serial port, the 210 expects that the first digit sent represents the Port number you’re wishing to program. For example, let’s say you wanted to program Port 2’s Hang Time to 5 seconds. The string sent to the serial port would be:

2*100050

The controller should send back +*1000 in response. Notice the leading 1, 2 or 3 (representing the Port to program) is stripped and not sent back. As you can see (and as previously mentioned), there is no need to unlock or lock the RC210 when communicating via the serial port.

Of course, commands such as Macro programming are not Port specific and in that case, it doesn't matter if you use 1, 2 or 3.

IMPORTANT NOTE: All data sent to the RC210 must end with a CR/LF, which is the same as pressing the ENTER key on a computer keyboard.

If using Manual Data Send feature in RCP, you can alternately click the SEND button


Using Manual Data Send

RCP Protocol and Serial Port Operations ››

While you can use any terminal program you want to communicate serially with the RC210, the Manual Data Send feature within RCP makes this quick and easy to do

Enter the digits you want to send to the RC210 in the text field at the top (refer to Protocol for details)

Send - Clicking this will send the entered digits to the RC210. Alternately you can use <ENTER>

Close - Closes the Manual Data Send window. Alternately you can click the X

Note: When using Manual Data Send, no error checking is done.

All commands that may be sent via DTMF may also be sent serially but a few rules must be followed.

  • Any command sent to the RC210 serially MUST start with a 1, 2 or 3, representing the Port to be programmed

Note: When sending non-Port specific commands (for example, running a Macro), you can use whichever Port number you want.

  • To run a Remote Base Command, use the format 1 * * <Remote Base Prefix><command>

  • To run an Autopatch Command, use the format 1* * <Autopatch Prefix><command>

  • If you want to change a setting that doesn't start with an asterisk (*), use 1<command> For example, to link Ports 1 & 2 serially, use the format 1A71

  • If you want to run a Macro via a serial command, prefix the DTMF code for that Macro with 1**. For example, to run a Macro with the code “123”, use 1**123 <ENTER>.


Errors

RCP will display errors under several circumstances that should help you to determine the problem and in some cases, how to fix them.


Errors when loading database file

Errors ››

When you load a database file into RCP, it checks for valid data (for example, a particular parameter is within a valid range) and for missing entries. If it determines there is a problem, you will be presented with the following pop up window:

Don't panic as this probably means that there are missing entries that RCP uses that didn't previously exist. Click Yes if you want to see what errors were found and the default values that will be written to your database file. If you do, Notepad (Windows default text editor) will open and will display that information. If you'd rather, you can simply click No but either way, it is recommended you immediately SAVE your database afterward to make sure the updated data is written. This will prevent problems with future loading of your database file as well as insure the data uploaded to the RC210 contains valid information.

If you receive the below warning, it usually means your database file was last used by an earlier version RCP. You can edit the file using your favorite text editor to eliminate this error if you choose. Open the file and look for the [Version] area.


Invalid data entered

Errors ››

If you enter values outside the acceptable range, RCP will warn you by displaying a pop up window, similar to the one below. (the content will change depending on the particular item being edited)

Simply edit the involved value in order to meet the range needed.

Entering too many Macro Functions (more than 15 for Macros 1 - 40 or more than 6 for Macros 41 - 90). Simply edit in involved Macro in order to reduce the slot count as needed.

Entering too many words in a Voice ID or Message Macro. Edit the Voice ID (or Message Macro) to reduce the number of words used. Note that the Message Macro error window refers to DVR20, which may not be used in a Message Macro but may be used in an ID


Changing Tabs

Errors ››

If you edit a value and try to change tabs (in the example below, the Timers tab) without first clicking APPLY to register your edit or CANCEL, you will be warned.


Serial Communications Errors

Errors ››

If RCP is unable to serially communicate with the RC210, it will pop up the following warning:

Steps you can take if you experience the above error:

  • Check your physical connection between your computer and the RC210.
  • Make sure you are using a straight through (non null-modem) cable.
  • If you have the RC210R Rack Mount Enclosure, make sure you are connected to the DB25 on the back panel that is labeled "Programming"
  • If you don't have the RC210R, make sure of your connections to J6 (the 3 pin serial header on the RC210 pc board, located near the power connector)
  • Check that you have the correct COM selected in the RC210 Configure RCP menu.
  • If using a USB to serial converter (we strongly recommend one that uses the FTDI chipset), make sure the driver is properly loaded and that a comport has been assigned (you can check this using Windows' Device Manager)


Errors while Uploading

Errors ››

If you receive an error similar to below when uploading to the RC210, it means the value sent to the controller either contains data that is out of range or the controller didn't recognize the command (this can happen if using the wrong version RCP with the wrong version firmware in the controller).

Remember that "the command string" is the serial equivalent of the DTMF command you'd enter over the air (minus the leading "1*" as mentioned in the RCP Protocol Section).

In the example below, the command "1201" can be looked up in the RC210 Operations & Programming Manual and is shown to be the command for turning Speech Override ON and OFF on Port 1. As a valid value for that command is either a 1 or 0, we see that we sent the controller an "18" and that is why the error was created. That should steer you in the direction you need to go in order to correct the problem.

After you close the above window, RCP will give you the following advisory: